XmVaCreateHierarchy(3)

NAME
XmVaCreateHierarchy, XmVaCreateManagedHierarchy — A Hierarchy widget convenience creation functions.

SYNOPSIS

#include <Xm/Hierarchy.h>

Widget XmVaCreateHierarchy(
Widget parent,
String name,
...);

Widget XmVaCreateManagedHierarchy(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a Hierarchy widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateHierarchy function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedHierarchy function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of Hierarchy and its associated resources, see XmHierarchy(3).

RETURN

Returns the Hierarchy widget ID.

RELATED

XmCreateHierarchy(3), XtCreateWidget(3), XtCreateManagedWidget(3), and XmHierarchy(3).